<?php
class UsuariosModel extends Query{
    private $nick,$nombre,$clave,$id_usuario,$estado,$id_puntoventa;
    public function __construct()
    {
        parent::__construct();
        
    }

    public function getUsuario(string $nick,string $clave)
    {
        $sql = "select * from usuarios where nick='$nick' and clave='$clave' and usuario_estado=1";
        $data = $this->select($sql);
        return $data;
    }

    public function getCuis($codigoPuntoVenta)
    {
        $sql = "select * from puntoventa where codigoPuntoVenta=$codigoPuntoVenta";
        $data = $this->select($sql);
        return $data;
    }
    private $cufdCodigo,$cufdCodigoControl,$cufdFechaSolicitud,$cufdFechaVigencia,$codigoPuntoVenta;
/*
    public function insertCufd(string $cufdCodigo,string $cufdCodigoControl,string $cufdFechaSolicitud,string $cufdFechaVigencia,int $codigoPuntoVenta)
    {
        $this->cufdCodigo = $cufdCodigo;
        $this->cufdCodigoControl = $cufdCodigoControl;
        $this->cufdFechaSolicitud = $cufdFechaSolicitud;
        $this->cufdFechaVigencia = $cufdFechaVigencia;
        $this->codigoPuntoVenta = $codigoPuntoVenta;
        $sql = "insert into cufd (codigo,codigoControl,fechaSolicitud,fechaVigencia,codigoPuntoVenta) values (?,?,?,?,?)";
        $datos = array($this->cufdCodigo,$this->cufdCodigoControl,$this->cufdFechaSolicitud,$this->cufdFechaVigencia,$this->codigoPuntoVenta);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = "ok";
        }else{
            $res = "error";
        }
        return $res;
    }
    public function getCufd($codigoPuntoVenta)
    {
        $sql = "select * from cufd where codigoPuntoVenta=$codigoPuntoVenta ORDER BY fechaVigencia DESC
        LIMIT 1;";
        $data = $this->select($sql);
        return $data;
    }*/

    public function getUsuarios()
    {
        $sql = "select u.*, pv.codigoPuntoVenta,pv.cuis,pv.descripcion
        from usuarios u, puntoventa pv
        where u.id_puntoventa=pv.id_puntoVenta";
        $data = $this->selectAll($sql);
        return $data;
    }

   
    public function registrarUsuario(string $nick,string $nombre, string $clave, int $id_puntoventa){
        $this->nick=$nick;
        $this->nombre=$nombre;
        $this->clave=$clave;
        $this->id_puntoventa=$id_puntoventa;
        $sql= "insert into usuarios (nick,nombre,clave,id_puntoventa) values (?,?,?,?)";
        $datos= array($this->nick,$this->nombre,$this->clave,$this->id_puntoventa);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }
    public function editarUsuario(int $id){
        $sql="select * from usuarios where id_usuario='$id'";
        $data=$this->select($sql);
        return $data;
    }
    public function modificarUsuario(string $nick,string $nombre, int $id_puntoventa, int $id_usuario){
        $this->nick = $nick;
        $this->nombre = $nombre;
        $this->id_puntoventa = $id_puntoventa;
        $this->id_usuario = $id_usuario;
        $sql = "update usuarios set nick=?,nombre=?,id_puntoventa=? where id_usuario=?";
        $datos= array($this->nick,$this->nombre,$this->id_puntoventa,$this->id_usuario);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="modificado";
        }else{
            $res="error";
        }
        return $res;
    }

    
    public function accion(int $estado , int $id){
        $this->id_usuario = $id;
        $this->estado=$estado;
        $sql = "update usuarios set usuario_estado=? where id_usuario=?";
        $datos= array($this->estado, $this->id_usuario);
        $data=$this->save($sql,$datos);
        return $data;
    }

    
}
?>